> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List integration secrets

> Retrieve a list of all integration secrets configured by the user.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/integration-secrets.yml get /integration_secrets
openapi: 3.1.0
info:
  title: Telnyx Integration Secrets API
  version: 2.0.0
  description: API for Integration Secrets.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /integration_secrets:
    get:
      tags:
        - Integration Secrets
      summary: List integration secrets
      description: Retrieve a list of all integration secrets configured by the user.
      operationId: list_integration_secrets
      parameters:
        - name: page
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated page parameter (deepObject style). Originally:
            page[size], page[number]
          schema:
            type: object
            properties:
              size:
                type: integer
                title: Page Size
                example: 25
              number:
                type: integer
                title: Page Number
                example: 1
          examples:
            page[number]=1&page[size]=20:
              value:
                number: 1
                size: 20
              summary: First page with 20 results per page
            page[number]=2&page[size]=20:
              value:
                number: 2
                size: 20
              summary: Second page with 20 results per page
            page[number]=1&page[size]=50:
              value:
                number: 1
                size: 50
              summary: First page with 50 results per page
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[type]
          schema:
            type: object
            properties:
              type:
                type: string
                title: Filter by type
                example: bearer
                enum:
                  - bearer
                  - basic
          examples:
            filter[type]=bearer:
              value:
                type: bearer
              summary: Filter results to only show bearer type secrets
            filter[type]=basic:
              value:
                type: basic
              summary: Filter results to only show basic authentication type secrets
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationSecretsListData'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/integration-secrets_ErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const integrationSecret of
            client.integrationSecrets.list()) {
              console.log(integrationSecret.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.integration_secrets.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.IntegrationSecrets.List(context.TODO(), telnyx.IntegrationSecretListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.integrationsecrets.IntegrationSecretListPage;

            import
            com.telnyx.sdk.models.integrationsecrets.IntegrationSecretListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    IntegrationSecretListPage page = client.integrationSecrets().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.integration_secrets.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->integrationSecrets->list(
                filter: ['type' => 'bearer'], pageNumber: 0, pageSize: 0
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx integration-secrets list \
              --api-key 'My API Key'
components:
  schemas:
    IntegrationSecretsListData:
      properties:
        data:
          items:
            $ref: '#/components/schemas/IntegrationSecret'
          type: array
          title: Data
        meta:
          $ref: '#/components/schemas/integration-secrets_Metadata'
      type: object
      required:
        - data
        - meta
      title: SecretsListData
    integration-secrets_ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/integration-secrets_Error'
          type: array
          title: Errors
      type: object
      title: ErrorResponse
    IntegrationSecret:
      properties:
        record_type:
          type: string
          title: Record Type
          example: integration_secret
        id:
          type: string
          title: Id
        identifier:
          type: string
          title: Identifier
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - record_type
        - id
        - identifier
        - created_at
      title: IntegrationSecret
    integration-secrets_Metadata:
      properties:
        page_size:
          type: integer
          title: Page Size
          example: 25
        page_number:
          type: integer
          title: Page Number
          example: 1
        total_pages:
          type: integer
          title: Total Pages
          example: 10
        total_results:
          type: integer
          title: Total Items
          example: 250
      required:
        - page_size
        - page_number
        - total_pages
        - total_results
      type: object
      title: Metadata
    integration-secrets_Error:
      properties:
        code:
          type: string
          title: Telnyx error code
        detail:
          type: string
          title: Error details
        title:
          type: string
          title: Error title
      type: object
      required:
        - detail
      title: Error
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````